For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList all users
      • POSTCreate a new user
      • GETGet user by ID
      • PUTUpdate user (full)
      • DELDelete user
      • PATCHUpdate user (partial)
Calculator
LogoLogo
EndpointsUsers

Update user (partial)

PATCH
https://api.finput.com.au/api/v1/users/:id
PATCH
/api/v1/users/:id
$curl -X PATCH https://api.finput.com.au/api/v1/users/1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "id": 1,
3 "email": "email",
4 "first_name": "first_name",
5 "last_name": "last_name",
6 "organisation_id": 1,
7 "is_admin": true,
8 "is_staff": true,
9 "is_active": true,
10 "is_email_verified": true,
11 "is_superuser": true,
12 "created": "2024-01-15T09:30:00Z",
13 "groups": [
14 {
15 "name": "name",
16 "permissions": [
17 {}
18 ]
19 }
20 ]
21}
Was this page helpful?
Previous

Calculate repayments

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired

Request

This endpoint expects an object.
first_namestringOptional
last_namestringOptional
organisation_idintegerOptional
is_adminbooleanOptionalDefaults to false
is_activebooleanOptionalDefaults to false

Response

User updated
idinteger
emailstring
first_namestring
last_namestring
organisation_idinteger
is_adminbooleanDefaults to false
is_staffbooleanDefaults to false
is_activebooleanDefaults to false
is_email_verifiedbooleanDefaults to false
is_superuserbooleanDefaults to false
createddatetimeDefaults to 1970-01-01T00:00:00.000Z
groupslist of objects